## underscore 1.13.7~dfsg+~1.13.0

=== debian/changelog ===
underscore (1.13.7~dfsg+~1.13.0-5) unstable; urgency=medium

  * Fix a typo

 -- Bastien Roucariès <rouca@debian.org>  Thu, 22 Jan 2026 22:55:44 +0100

underscore (1.13.7~dfsg+~1.13.0-4) unstable; urgency=medium

  * Work arround rollup problem with ~

 -- Bastien Roucariès <rouca@debian.org>  Thu, 22 Jan 2026 00:14:21 +0100

underscore (1.13.7~dfsg+~1.13.0-3) unstable; urgency=high

  * Team upload
  * Fix name generation for cjs and amd.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 19 Jan 2026 09:58:31 +0100

underscore (1.13.7~dfsg+~1.13.0-2) unstable; urgency=medium

  * Team upload
  * Improve reproductibility of webpack
  * Allow rebuild twice (Closes: #1046098)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 18 Jan 2026 18:28:45 +0100

underscore (1.13.7~dfsg+~1.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Remove prebuild javascript
  * Bump standard no changes
  * Suggests jquery
  * deduplicate package by depending on libjs-underscore
  * MA: foreign

 -- Bastien Roucariès <rouca@debian.org>  Fri, 16 Jan 2026 18:15:30 +0100
