=== debian/control ===
Source: underscore
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , brotli
 , node-glob
 , pigz
 , rollup
 , terser
 , uglifyjs
 , rsync
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/underscore
Vcs-Git: https://salsa.debian.org/js-team/underscore.git
Homepage: https://underscorejs.org/
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: libjs-underscore
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Suggests: libjs-jquery
Multi-Arch: foreign
Description: JavaScript's functional programming helper library
 Underscore is a utility-belt library for JavaScript that provides a lot
 of the functional programming support that you would expect in
 Prototype.js (or Ruby), but without extending any of the built-in
 JavaScript objects.  It's the tie to go along with jQuery's tux.
 .
 Underscore provides 60-odd functions that support both the usual
 functional suspects: map, select, invoke - as well as more specialized
 helpers: function binding, javascript templating, deep equality
 testing, and so on.  It delegates to built-in functions, if present, so
 modern browsers will use the native implementations of forEach, map,
 reduce, filter, every, some and indexOf.

Package: node-underscore
Architecture: all
Depends: ${misc:Depends}, libjs-underscore (= ${source:Version})
Provides: ${nodejs:Provides}
Multi-Arch: foreign
Description: JavaScript's functional programming helper library - NodeJS
 Underscore is a utility-belt library for JavaScript that provides a lot
 of the functional programming support that you would expect in
 Prototype.js (or Ruby), but without extending any of the built-in
 JavaScript objects.  It's the tie to go along with jQuery's tux.
 .
 Underscore provides 60-odd functions that support both the usual
 functional suspects: map, select, invoke - as well as more specialized
 helpers: function binding, javascript templating, deep equality
 testing, and so on.  It delegates to built-in functions, if present, so
 modern browsers will use the native implementations of forEach, map,
 reduce, filter, every, some and indexOf.
 .
 This package contains the NodeJS module.
